Bug 78833 - Improvements of FN AutoText and other AutoTexts
Summary: Improvements of FN AutoText and other AutoTexts
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Laurent BP
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-17 15:47 UTC by Laurent BP
Modified: 2014-05-25 19:33 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent BP 2014-05-17 15:47:36 UTC
AutoText Formula Numbering (FN + F3) may be improved:
- name of formula and table appear in German in the navigator. See issue 93627
https://issues.apache.org/ooo/show_bug.cgi?id=93627
- default font size is not respected in the preview of the formula: the size should be removed from the autotext
Comment 1 Laurent BP 2014-05-17 16:03:46 UTC
In French, some other AutoTexts have some typo errors:
- CINVI (standard> candidature invitation entretien) replace "dors et
déjà" by "d'ores et déjà "
- CLET (standard> candidature lettre accompagnement) replace "détails" by
"détail" (last §)
- CNON (standard> candidature rejet) 2nd § replace space before : by hard space
and suppress "possible"
Comment 2 Laurent BP 2014-05-17 16:04:29 UTC
A "Lorem Ipsum" AutoText could be added.
Comment 3 Laurent BP 2014-05-17 18:08:13 UTC
- Add empty mimetype file at the right place for all locales
Comment 4 Laurent BP 2014-05-19 19:05:36 UTC
- rebuild all manifest.xml files
- fix sk files (standard.bau, template.bau, crdbus50.bau, crdbus54.bau): remove CVS and empty pictures directories, create manifest.xml file
Comment 5 Commit Notification 2014-05-23 14:48:14 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fed7156496115e015bffe2b89861870d076c5d78

fdo#78833 Improve AutoTexts for all languages (mainly FN Autotext)



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2014-05-23 14:50:46 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f2dcc78a379c9bd5aaf93b2ed00649b28be7a6e1

fdo#78833 Add Fomula Numbering and Lorem Ipsum autotext to some locales



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2014-05-25 19:29:38 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b72a2543a7e9121c62b50b8ffedba2589a01f97f&h=libreoffice-4-3

fdo#78833 Improve AutoTexts for all languages (mainly FN Autotext)


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2014-05-25 19:31:35 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2c643ab5ca868425233e526f84a1aa6fa2335fa4&h=libreoffice-4-3

fdo#78833 Add Fomula Numbering and Lorem Ipsum autotext to some locales


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2014-05-25 19:33:20 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=37a5c5beed283ad02b932b726ea9b24a77db4832&h=libreoffice-4-3

fdo#78833 Update AllLangPackage_autotestshare.mk


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2014-05-25 19:33:34 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=885b11cc5d6fb17ca3d0b47f20bd13f0775b1640

fdo#78833 Update AllLangPackage_autotestshare.mk



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.